<?php
namespace Pinpoint\RedirectManager\Ui\Component\Listing\DataProviders\Pinpoint\Redirectmanager;

use Magento\Framework\Api\Search\SearchCriteria;
use Magento\Framework\Api\Search\SearchCriteriaBuilder;
use Magento\Framework\Api\Search\SearchResultInterface;

/**
 * Class Redirects
 * @package Pinpoint\RedirectManager\Ui\Component\Listing\DataProviders\Pinpoint\Redirectmanager
 */
class Redirects extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    /**
     * Redirects constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\RedirectManager\Model\ResourceModel\Redirect\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\RedirectManager\Model\ResourceModel\Redirect\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}
