# ext_m2_RedirectManager  
  
This Magento 2 module adds the ability to view what 404 pages are being seen by a customer and how many times that URL has been viewed. From this module you can also create a and redirect from each url that has returned 404 page to a url of your choice.
## Installation  
  
Use the package manager [composer](https://getcomposer.org/) to install the module.  
  
```bash  
composer require pinpoint/redirectmanager
```  

## Usage  
### View & Manage 404 Hits
To view URL's that customers have accessed and resulted in a 404 you go into `Admin > Marketing > Redirect Manager > 404 Logs`. From here you will be presented with a grid like shown below:

![404 Hit List](404_hit_list.png)
From here you have the ability to create a new 404 redirect for the chosen URL. Todo this you click `Create Redirect` where you will then be presented with this screen where you can choose your redirect url & type:

![New Redirect](redirect_new.png)
### Manage Redirects
To manage your 404 redirects you go to `Admin > Marketing > Redirect Manager > Redirects` and from here you will have all the redirects you have setup. From here you have the ability to:

 - Export to CSV
 - Edit
 - Add
 - Delete
 
![404 Redirect List](404_redirect_list.png)
